# DeleteBorderGateway

## 1. API Description

This API (DeleteBorderGateway) is used to delete a border gateway.

{% hint style="info" %}
**Note**

* If the border gateway is already bound to a NAT gateway, you must unbind the NAT gateway before deletion.
* If the border gateway is part of a Layer 3 Cloud Router, it must be removed first before deletion.
  {% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type   | Description        |
| -------------- | -------- | ------ | ------------------ |
| zbgId          | Yes      | String | Border gateway ID. |

## 3. Output Parameters

| Parameter Name | Type   | Description                                                                                                           |
| -------------- | ------ | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Delete a border gateway.**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DeleteBorderGateway
<Common Request Params>

Request:
{
  "zbgId": "xxx"
}

Response:
{
  "requestId": "TBFC01FCF-6439-4530-ADBC-16809F0C3E8F",
  "response": {
    "requestId": "TBFC01FCF-6439-4530-ADBC-16809F0C3E8F"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code                   | Description                                                 |
| ---------------- | ---------------------------- | ----------------------------------------------------------- |
| 404              | INVALID\_ZBG\_NOT\_FOUND     | Border gateway does not exist.                              |
| 409              | INVALID\_ZBG\_L3\_EXIST      | Border gateway is already added into a cloud router.        |
| 400              | INVALID\_ZBG\_NAT\_ASSOCIATE | The border gateway has already been bound to a NAT gateway. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/compute/zec/vpc-network/border-gateway/deletebordergateway.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
